list_ssh_public_keys¶
Operation¶
list_ssh_public_keys
async
¶
list_ssh_public_keys(request: ListSSHPublicKeysInput | ListSSHPublicKeysInputDict, /, *, plugins: list[Plugin] | None = None) -> ListSSHPublicKeysOutput
list_ssh_public_keys(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListSSHPublicKeysInputDict]) -> ListSSHPublicKeysOutput
Returns information about the SSH public keys associated with the specified IAM user. If none exists, the operation returns an empty list.
The SSH public keys returned by this operation are used only for authenticating the IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide.
Although each user is limited to a small number of keys, you can still
paginate the results using the MaxItems and Marker parameters.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
ListSSHPublicKeysOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
ListSSHPublicKeysInput
dataclass
¶
Bases: _SerdeShape
Dataclass for ListSSHPublicKeysInput structure.
Attributes¶
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
class-attribute
instance-attribute
¶
max_items: int | None = ...
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
user_name
class-attribute
instance-attribute
¶
user_name: str | None = ...
The name of the IAM user to list SSH public keys for. If none is
specified, the UserName field is determined implicitly based on the
Amazon Web Services access key used to sign the request.
This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-
Dictionaries¶
ListSSHPublicKeysInputDict
¶
Bases: TypedDict
Dictionary form of ListSSHPublicKeysInput.
Attributes¶
marker
instance-attribute
¶
marker: str | None
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
instance-attribute
¶
max_items: int | None
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
user_name
instance-attribute
¶
user_name: str | None
The name of the IAM user to list SSH public keys for. If none is
specified, the UserName field is determined implicitly based on the
Amazon Web Services access key used to sign the request.
This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-
Output¶
ListSSHPublicKeysOutput
dataclass
¶
Bases: _SerdeShape
Contains the response to a successful ListSSHPublicKeys request.
Attributes¶
is_truncated
class-attribute
instance-attribute
¶
is_truncated: bool = ...
A flag that indicates whether there are more items to return. If your
results were truncated, you can make a subsequent pagination request
using the Marker request parameter to retrieve more items. Note that
IAM might return fewer than the MaxItems number of results even when
there are more results available. We recommend that you check
IsTruncated after every call to ensure that you receive all your
results.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
When IsTruncated is true, this element is present and contains the
value to use for the Marker parameter in a subsequent pagination
request.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.
ssh_public_keys
class-attribute
instance-attribute
¶
ssh_public_keys: list[SSHPublicKeyMetadata] | None = ...
A list of the SSH public keys assigned to IAM user.